      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFHV                                     **
      **                                                              **
      **  DESCRIPTION:    PCF Header Structure                        **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1995, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFH,     **
      **                  which is used for PCF and event messages.   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQCFH structure
        10 MQCFH.
      **    Structure type
         15 MQCFH-TYPE           PIC S9(9) BINARY VALUE 1.
      **    Structure length
         15 MQCFH-STRUCLENGTH    PIC S9(9) BINARY VALUE 36.
      **    Structure version number
         15 MQCFH-VERSION        PIC S9(9) BINARY VALUE 1.
      **    Command identifier
         15 MQCFH-COMMAND        PIC S9(9) BINARY VALUE 0.
      **    Message sequence number
         15 MQCFH-MSGSEQNUMBER   PIC S9(9) BINARY VALUE 1.
      **    Control options
         15 MQCFH-CONTROL        PIC S9(9) BINARY VALUE 1.
      **    Completion code
         15 MQCFH-COMPCODE       PIC S9(9) BINARY VALUE 0.
      **    Reason code qualifying completion code
         15 MQCFH-REASON         PIC S9(9) BINARY VALUE 0.
      **    Count of parameter structures
         15 MQCFH-PARAMETERCOUNT PIC S9(9) BINARY VALUE 0.
 
      ******************************************************************
      **  End of CMQCFHV                                              **
      ******************************************************************
